Subject: Re: FVWM: keys... (fwd)

From: Thomas Gardiner <[email-masked]>
Date: Thu, 29 Aug 2002 13:25:19 -0400 (EDT)

Sorry Dominik, I didn't intend for this to go directly to you...

Tom

---------- Forwarded message ----------
Date: Thu, 29 Aug 2002 13:24:30 -0400 (EDT)
From: Thomas Gardiner <[email-masked]>
To: Dominik Vogt <[email-masked]>
Subject: Re: FVWM: keys...

Well, I can add a little more information.

OpenOffice contains a tool called Impress (You know star office 6.0...).
The problem with loosing key binding occurs after switching back from
a full screen presentation or slide show view to normal editing view.

The open office window will respond to mouse clicks, though some of its
functionality is lost i.e. some of the menu items do nothing.

Does this suggest any more ideas on what might be causing this problem?

Thanks,

Tom

On Thu, 29 Aug 2002, Dominik Vogt wrote:

> On Thu, Aug 29, 2002 at 09:53:03AM -0400, Thomas Gardiner wrote:
> > For me, I can move my cursor over the root window or any other window and
> > my key bindings for switching pages return (I use focuss follows mouse),
> > so it's really a question of the application getting in the way.
>
> Hm, so the application seems to have grabbed the key on its window
> and fvwm has grabbed it everywhere else.  I have to look this up
> in the X manuals.
>
> > Dominik, one thing I have noticed is that it does not occur like this all
> > of the time.  Sometimes my key bindings work, while other times they
> > don't.  It seems to be related to where the program is in handling
> > switching modes, or saving...  basically whether it is accepting input.
> > Unfortunately, it seems a bit tricky to make it occur on will.
>
> It may be important if you start OpenOffice first or fvwm.  After
> an fvwm restart things may look very differently.  In X it's just
> first come - first serve:  whoever requests the grab first gets
> it.
>
> > Silly question...  Could it be the focus policy?
>
> No, that has nothing to do with it.  Focus policy affects only
> mouse button handling.
>
> > Sometimes it seems as if
> > no window has focus.  Can this occur, and will fvwm cope properly?
>
> > > > The same hapens with Gnome.  It's pretty annoying, and I have no
> > > > idea how some applications manage to do this.  Fvwm grabs the key
> > > > combinations on the root window and any further grabs by the
> > > > applications should fail.  Yet, they still manage to do this.
>
> Bye
>
> Dominik ^_^  ^_^
>
>  --
> Dominik Vogt, mail: [email-masked], phone: 0721/91374-382
> Schlund + Partner AG, Erbprinzenstr. 4-12, D-76133 Karlsruhe
> --
> Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
> To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
> message to [email-masked].
> To report problems, send mail to [email-masked].
>

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Thomas Gardiner <[email-masked]>
Date: Thu, 29 Aug 2002 13:59:49 -0400 (EDT)

Sorry for inundating you folks, but this is a funny thing.

One more observation:

After going to slide-show view and returning, the main Open Office window
has focus.  However, there are "sub-windows" which only exist within the
Open Office main window, but do not have focus.  By simply moving my mouse
to the border or title bar of the window focus is restored for all windows.

Oh, sorry I forgot to mention...  My key bindings for switching pages
return as soon as my mouse touches the border or title bar of the main
open office window.

So, this problem does appear to be connected to focus somehow.

Does this help?

Tom